AWS
action EMR

# modify_cluster

Set the step concurrency level on the provided cluster

Run it now
View details

Type | action
Module | chaosaws.emr.actions
Name | modify_cluster
Return | mapping

Usage

JSON

    {
      "name": "modify-cluster",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaosaws.emr.actions",
        "func": "modify_cluster",
        "arguments": {
          "cluster_id": "",
          "concurrency": 0
        }
      }
    }

YAML

    name: modify-cluster
    provider:
      arguments:
        cluster_id: ""
        concurrency: 0
      func: modify_cluster
      module: chaosaws.emr.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
cluster_id | string |  | Yes | Cluster ID |
concurrency | integer |  | Yes | Concurrency | How many steps can be done concurrently (1 - 256)

- cluster_id: The cluster id
- concurrency: The number of steps to execute concurrently (1 - 256)

Signature

    def modify_cluster(
            cluster_id: str,
            concurrency: int,
            configuration: Dict[str, Dict[str, str]] = None,
            secrets: Dict[str, Dict[str, str]] = None) -> Dict[str, Any]:
        pass

## Related starters

- AWS
  probe EMR

  ## `list_cluster_group_instances`

  Get a list of instance group instances associated to the EMR cluster
- AWS
  probe EMR

  ## `describe_instance_fleet`

  Describe a single EMR instance fleet
- AWS
  action EMR

  ## `modify_instance_fleet`

  Modify the on-demand and spot capacities for an instance fleet